%global gem_name rerun


Summary: Restarts your app when a file changes
Name: rubygem-%{gem_name}
Version: 0.6.2
Release: 7%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/alexch/rerun/
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
# git clone https://github.com/alexch/rerun.git && cd rerun
# tar czvf rerun-0.6.2-tests.tgz spec/ inc.rb
# Unfortunatelly there is no tag for specific releases.
# https://github.com/alexch/rerun/issues/11
Source1: %{gem_name}-%{version}-tests.tgz
Requires: ruby(rubygems)
Requires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: rubygem(rspec)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Launches an app, and restarts it whenever the filesystem changes

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
tar xzvf %{SOURCE1}

rspec spec
popd

%files
%{_bindir}/rerun
%{gem_instdir}/icons
%{gem_libdir}
%{gem_instdir}/bin
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/rerun.gemspec
%doc %{gem_instdir}/LICENSE
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%exclude %{gem_cache}
%{gem_spec}


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 11 2013 Vít Ondruch <vondruch@redhat.com> - 0.6.2-6
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jan 24 2012 Vít Ondruch <vondruch@redhat.com> - 0.6.2-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 18 2011 Vít Ondruch <vondruch@redhat.com> - 0.6.2-1
- Updated to rerun 0.6.2.
- Make tests working.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 14 2010 Michal Fojtik <mfojtik@redhat.com> - 0.5.2-3
- Fixed inconsistent changelog entry

* Fri May 05 2010 Michal Fojtik <mfojtik@redhat.com> - 0.5.2-2
- Fixed wrong patch in test
- Added --no-ri into gem install

* Fri Apr 30 2010 Michal Fojtik <mfojtik@redhat.com> - 0.5.2-1
- Initial package
